%%
%% This is file `dles10.cls',

\NeedsTeXFormat{LaTeX2e}[1994/06/01]
\ProvidesClass{dles13}[04/02/2022 DLES13 document class by C. Marchioli]
% adapted from dles12 version 2018/03/16 by M.Garcia-Villalba
% adapted from dles11 version 2014/05/09 by M.Garcia-Villalba
% adapted from dles10 version 2014/05/09 by D.G.E. Grigoriadis
% adapted from dles9 version 2013/07/30 by Jochen Froehlich
% adapted from dles8 version 2009/11/03 by Hans Kuerten
\typeout{TYPESETTING in DLES13 symposium format ...}
\typeout{}

\LoadClass[twoside,twocolumn,letterpaper]{article} %

\RequirePackage{dles13}     %edrm.sty provided in the filepackage
\RequirePackage{graphics}  %Standars package
\RequirePackage{graphicx}  %Standard package

%%%%%%%%%%%%%%%%%%%%
% General layout
%
 
\setlength{\topmargin}{-5mm}
%\setlength{\topmargin}{0mm}
\setlength{\headsep}{0mm}
\setlength{\footskip}{16pt}
\setlength{\textheight}{231.0mm}
%\setlength{\textheight}{243.4mm}
\setlength{\textwidth}{169.7mm}
%\setlength{\textwidth}{165mm}
\setlength{\columnsep}{9.53mm}
%\setlength{\evensidemargin}{\oddsidemargin}
\renewcommand{\baselinestretch}{1.05}


\let\@date\@empty
\doublehyphendemerits=100000
\setlength\hfuzz{3pt}    % reduce the quantity of \overfull warnings


%%%%%%%%%%%%%%%%%%
% Modify floatings
%
  \renewcommand{\topfraction}{0.9}
  \renewcommand{\bottomfraction}{0.9}
  \renewcommand{\textfraction}{0.1}
  \renewcommand{\floatpagefraction}{0.8}
  \renewcommand{\dbltopfraction}{\floatpagefraction}
  \renewcommand{\dblfloatpagefraction}{\floatpagefraction}
  
  \setcounter{topnumber}{10}
  \setcounter{dbltopnumber}{\value{topnumber}}
  \setcounter{bottomnumber}{\value{topnumber}}
  \setcounter{totalnumber}{\value{topnumber}}
  \addtocounter{totalnumber}{\value{bottomnumber}}

  
  \setlength{\floatsep}        { 5pt plus 2pt minus 2pt}
  \setlength{\textfloatsep}    { 5pt plus 2pt minus 3pt}
  \setlength{\intextsep}       { 5pt plus 2pt minus 2pt}
  \setlength{\dblfloatsep}     {\floatsep}
  \setlength{\dbltextfloatsep} {\textfloatsep}

\renewcommand{\and}{\\*[-8pt]}

%%%%%%%%%%%%%%%%%%%%%
% Title
% 

\def\@maketitle{%
  \newpage
\begin{flushright}
{\bf
WORKSHOP \\
Direct and Large-Eddy Simulation 13 \\
October 26\textsuperscript{th}-29\textsuperscript{th} 2022, Udine, Italy }
\end{flushright}

  \begin{center}%  
  \let \footnote \thanks
  \parbox{150mm}{\centering
  \setlength{\baselineskip}{17pt}
   {\Large{\sffamily\bfseries\MakeUppercase
   {\@title}}}}
   \par%
    \vskip 39pt%
%     \renewcommand{\baselinestretch}{.9}
    {\large{\textsf\@author}}
    \par%
    \vskip 1em%
  \end{center}%
  \par%
  \vskip 1em%
}


%%%%%%%%%%%%%%%%%%%%%%%
% Sectioning
%
\setcounter{secnumdepth}{-2}% instead of having to use the *'d
                            % section commands

\renewcommand{\section}[1]{
\par
\vspace{16pt}
\noindent\textsf{\textbf{\MakeUppercase{#1}}}
\par
\vspace{2pt}
}
\renewcommand{\subsection}[1]{
\par
\vspace{16pt}
\noindent\textsf{\textbf{#1}}
\par
}
\renewcommand{\subsubsection}[1]{%
\par
\vspace{16pt}
\textsf{\textbf{#1.}}}


\renewcommand\paragraph{\@startsection{paragraph}{4}%
  {\parindent}%
  {0.3ex}%
  {-1em}%
  {\normalfont\normalsize\sffamily}}
\renewcommand\subparagraph{\@startsection{subparagraph}{5}%
  {\parindent}%
  {0.3ex}%
  {-1em}%
  {\normalfont\normalsize\itshape}}
\listfiles




\newenvironment{References}{
\par\vspace{6pt}\noindent\textsf{\textbf{REFERENCES}}\par\vspace{-3pt}
\begin{small}\begin{list}{ }{\itemsep0mm \parsep0mm\labelsep0mm\leftmargin0mm}} {\end{list}\end{small}}




\endinput
%%
%% End of file
